compute_attributes is nil on a machine injected via puppet agent
Status: Resolved   
Assignee:    
Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  
Pull request:    

Description

I have a few EC2 instances that we created before we started using foreman.  When I install puppet, and point it at my current

Foreman/Puppet server, the instance makes contact, and runs a short puppet run.  It is then available in the Foreman Hosts list.

When I Edit that machine, and attempt to assign it a hostgroup, when I hit Save, I get

undefined method `[]' for nil:NilClass

NoMethodError

undefined method `[]' for nil:NilClass

app/models/orchestration/compute.rb:185:in `validate_compute_provisioning'

app/models/orchestration.rb:64:in `valid?'

app/controllers/hosts_controller.rb:104:in `update'

tracking this down, I think I can fix the validation, so that if the compute_attributes are missing it creates reasonable defaults.  Pull

request coming (I am on the dev branch, mostly up-to-date)

Associated revisions

Revision 81e0a301 - 12/26/2012 10:00 AM - Joseph Magen

fixes #2017 added patch from ticket

History

#1 - 12/06/2012 03:10 PM - David Swift

I merged latest develop into my ec2 branch, and the validation error went away.  However, foreman still does not see this machine as an instance.  It

doesn't even look like a full host, the network selection is missing, for instance.  I have attached a screenshot of the host edit page.

Not sure what the desired behavior is here, but at least the validation bug doesn't stop me from adding classes to this host :-).

#2 - 12/06/2012 03:11 PM - David Swift

- File Screen_shot_2012-12-06_at_12.08.25_PM.png added

d'oh!  attaching screenshot.

#3 - 12/06/2012 03:29 PM - David Swift

OK, I am a bit slow today.

I can hit the 'manage host' button, and all the selections for a bare metal machine come up, like network, Operating System, etc.

I am going to dig into 'manage' code, and see if there is a fact I can check that will bring the instance being managed in as a compute instance.

#4 - 12/26/2012 10:33 AM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100
Applied in changeset 81e0a301987dfb40cda7f70777fb931ec93ffcb4.

#5 - 12/26/2012 10:34 AM - Ohad Levy

- Status changed from Closed to New

oops closed wrong ticket

#6 - 05/18/2017 10:05 AM - Anonymous

- Description updated

- Status changed from New to Resolved

nodes need to get associated to a CR
